#
# Conditional build:
%bcond_without	aalib	# AAlib support
#
Summary:	Command-line frontend to libgphoto2
Summary(es.UTF-8):	Foto GNU (gphoto) Release 2
Summary(pl.UTF-8):	Działający z linii poleceń program obsługujący libgphoto2
Summary(pt_BR.UTF-8):	GNU Photo - programa GNU para câmeras digitais
Summary(zh_CN.UTF-8):	gPhoto - Linux下的使用数码相机的程序
Name:		gphoto2
Version:	2.5.4
Release:	1
License:	LGPL v2+
Group:		Applications/Graphics
Source0:	http://downloads.sourceforge.net/gphoto/%{name}-%{version}.tar.bz2
# Source0-md5:	55e062dfb09a9589b4f9d6d545724c60
Patch0:		%{name}-manpage_addon.patch
Patch1:		automake-1.12.patch
Patch2:		%{name}-ac.patch
Patch3:		%{name}-pl.po-update.patch
URL:		http://www.gphoto.org/
%{?with_aalib:BuildRequires:	aalib-devel}
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	cdk-devel >= 5.0_td20010421
BuildRequires:	gettext-devel >= 0.14.1
BuildRequires:	libexif-devel >= 0.6.9
BuildRequires:	libgphoto2-devel >= 2.5.4
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	readline-devel
Requires:	libgphoto2 >= 2.5.4
Obsoletes:	gphoto2-progs
# these are not true (renamed to libgphoto2-{devel,static}) - we must have
# the way to just rename package which is not required by anything installed
Obsoletes:	gphoto2-devel
Obsoletes:	gphoto2-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gphoto2 is a command-line frontend to libgphoto2.

%description -l pl.UTF-8
gphoto2 to działający z linii poleceń program będący interfejsem
użytkownika do libgphoto2.

%description -l pt_BR.UTF-8
O programa gphoto faz parte do projeto GNOME e é uma interface para
uma grande variedade de câmeras fotográficas digitais.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%{__rm} po/stamp-po

%build
%{__libtoolize}
%{__aclocal} -I m4m
%{__autoconf}
%{__autoheader}
%{__automake}
CPPFLAGS="%{rpmcppflags} -I/usr/include/ncurses"
%configure \
	%{?with_aalib:--with-aalib}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/gphoto2
%{_mandir}/man1/gphoto2.1*
%changelog
* Thu Mar 27 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gphoto2.git;a=log;h=master

* Thu Mar 27 2014 Jakub Bogusz <qboosh@pld-linux.org> f862093
- updated to 2.5.4
- added pl.po-update patch

* Sun Jan 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 84ed8bb
- updated to 2.5.3
- removed obsolete pl.po-update patch

* Mon Jun 10 2013 Jakub Bogusz <qboosh@pld-linux.org> a70a303
- updated to 2.5.2
- updated pl.po-update patch (from TP)

* Mon Feb 04 2013 Jakub Bogusz <qboosh@pld-linux.org> 2685e8e
- updated to 2.5.1
- updated pl.po-update patch
- added ac patch (some recent autoconf/automake compatibility)

* Mon Jun 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> a30a9cf
- mae it builds with automake 1.12

* Mon Jun 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> 009941d
- gphoto2-am.patch already applied upstream
- use autocrap but patch configure.ac to build with automake 1.12

* Mon Jun 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> 56eda00
- obsoleted

* Mon Jun 25 2012 Tomasz Pala <gotar@pld-linux.org> a0f98fc
- try to disable autocrap that fails

* Mon Jun 25 2012 Tomasz Pala <gotar@pld-linux.org> 0f38557
- do not use bundled m4, prefer system ones

* Wed Apr 18 2012 Jakub Bogusz <qboosh@pld-linux.org> 9e6b076
- updated to 2.4.14
- updated pl.po-update patch
- added aalib bcond

* Wed Apr 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 69f3e97
- updated to 2.4.11
- added pl.po-update patch

* Fri Nov 05 2010 Jakub Bogusz <qboosh@pld-linux.org> 8c3d196
- added AUTHORS to doc
- pass rpmcppflags

* Wed Sep 01 2010 Tomasz Pala <gotar@pld-linux.org> dc65bea
- rel. 2

* Wed Aug 25 2010 Tomasz Pala <gotar@pld-linux.org> 7e15c25
- BR: libgphoto2-devel >= 2.4.10

* Wed Aug 25 2010 Tomasz Pala <gotar@pld-linux.org> f1e584e
- upgraded to 2.4.10

* Sun May 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7bcdae9
- up to 2.4.9

* Fri Jan 29 2010 amateja <amateja@pld-linux.org> bc430e3
- release 2

* Sat Sep 05 2009 Tomasz Pala <gotar@pld-linux.org> 59632f0
- upgraded to 2.4.7

* Sun Jul 26 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> c06fe89
- up to 2.4.5

* Sat Jul 11 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e647b6
- release 3

